Skip to main content
GET
https://{tenantDomain}/api/v2
/
stats
/
daily
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.GetDailyStatsRequestParameters{
        From: management.String(
            "from",
        ),
        To: management.String(
            "to",
        ),
    }
    client.Stats.GetDaily(
        context.TODO(),
        request,
    )
}
[
  {
    "date": "2014-01-01T00:00:00.000Z",
    "logins": 100,
    "signups": 100,
    "leaked_passwords": 100,
    "updated_at": "2014-01-01T02:00:00.000Z",
    "created_at": "2014-01-01T20:00:00.000Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string

Optional first day of the date range (inclusive) in YYYYMMDD format.

to
string

Optional last day of the date range (inclusive) in YYYYMMDD format.

Response

Daily stats successfully retrieved.

date
string
default:2014-01-01T00:00:00.000Z

Date these events occurred in ISO 8601 format.

logins
integer
default:100

Number of logins on this date.

signups
integer
default:100

Number of signups on this date.

leaked_passwords
integer
default:100

Number of breached-password detections on this date (subscription required).

updated_at
string
default:2014-01-01T02:00:00.000Z

Date and time this stats entry was last updated in ISO 8601 format.

created_at
string
default:2014-01-01T20:00:00.000Z

Approximate date and time the first event occurred in ISO 8601 format.